Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference

Nested struct defining a resource declaration. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Attributes

String | resourceName
String | resourceType
ManualResourceLoader * | loader
NameValuePairList | parameters

## Detailed Description

Nested struct defining a resource declaration.

Definition at line 265 of file OgreResourceGroupManager.h.

## Member Data Documentation

ManualResourceLoader* Ogre::ResourceGroupManager::ResourceDeclaration::loader

Definition at line 269 of file OgreResourceGroupManager.h.

NameValuePairList Ogre::ResourceGroupManager::ResourceDeclaration::parameters

Definition at line 270 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceName

Definition at line 267 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceType

Definition at line 268 of file OgreResourceGroupManager.h.

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:36